Bug 693170 - liveusb-creator won't start - org.freedesktop.Hal not provided
Summary: liveusb-creator won't start - org.freedesktop.Hal not provided
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F15Blocker-kde
TreeView+ depends on / blocked
 
Reported: 2011-04-03 10:36 UTC by Kevin Raymond
Modified: 2016-09-20 02:41 UTC (History)
5 users (show)

Fixed In Version: liveusb-creator-3.11.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-05 05:05:02 UTC
Type: ---


Attachments (Terms of Use)

Description Kevin Raymond 2011-04-03 10:36:28 UTC
Description of problem:
Could not lunch liveusb-creator under Fedora 15

Version-Release number of selected component (if applicable):
liveusb-creator-3.9.3-2.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1. start liveusb-creator
2.
3.
  
Actual results:
<pre>
# liveusb-creator
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 84, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 56, in __init__
    self.mywindow = LiveUSBDialog(opts, args)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 269, in __init__
    self.populate_devices()
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 306, in populate_devices
    self.live.detect_removable_drives()
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 426, in detect_removable_drives
    "/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files
</pre>

Expected results:
no crash

Additional info:
System up to date

Comment 1 Luke Macken 2011-04-19 20:39:37 UTC
Yep, the UDisks liveusb-creator port will be pushed out shortly.

Temporary workaround in the mean time:

yum -y install hal
service haldaemon start

Comment 2 Kevin Kofler 2011-04-20 19:44:53 UTC
This breaks the "All applications listed under the Applications menu or category must start successfully" final release criterion for the KDE spin => blocker.

Comment 3 Fedora Update System 2011-04-26 02:45:38 UTC
liveusb-creator-3.11.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.0-1.fc15

Comment 4 Fedora Update System 2011-04-26 02:57:06 UTC
liveusb-creator-3.11.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.0-1.fc14

Comment 5 Fedora Update System 2011-04-26 15:34:39 UTC
Package liveusb-creator-3.11.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.11.0-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.0-1.fc15
then log in and leave karma (feedback).

Comment 6 Alexei Panov 2011-04-28 09:18:28 UTC
I've run liveusb-creator and see this error:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 586, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 450, in handle_reply
    'label': str(dev.Get(device, 'IdLabel')).replace(' ', '_'),
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-14: ordinal not in range(128)

"Target device" field is empty.
liveusb-creator 3.11.0-1.fc15

My locale ru_RU.UTF-8, but with LANG=C application started with error too.

Comment 7 Luke Macken 2011-04-28 15:27:40 UTC
(In reply to comment #6)
> I've run liveusb-creator and see this error:
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 586, in
> msg_reply_handler
>     reply_handler(*message.get_args_list(**get_args_opts))
>   File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 450, in
> handle_reply
>     'label': str(dev.Get(device, 'IdLabel')).replace(' ', '_'),
> UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-14:
> ordinal not in range(128)
> 
> "Target device" field is empty.
> liveusb-creator 3.11.0-1.fc15
> 
> My locale ru_RU.UTF-8, but with LANG=C application started with error too.

This issue is Bug #590232

Comment 8 Fedora Update System 2011-05-05 05:04:47 UTC
liveusb-creator-3.11.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-05-17 00:52:38 UTC
liveusb-creator-3.11.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.